
#### Integrations

##### WALLIX Bastion

Removed unneeded parameters:

- **Breaking changes:** wab-add-notification: removed notification_post_type

- **Breaking changes:** wab-edit-notification: removed notification_put_type

Added new commands:

- wab-add-user-group
- wab-edit-user-group
- wab-delete-user-group

- wab-get-external-authentications
- wab-get-external-authentication

- wab-add-global-domain
- wab-delete-global-domain

- wab-add-local-domain-in-application
- wab-delete-local-domain-from-application

- wab-add-local-domain-in-device
- wab-delete-local-domain-from-device

- wab-get-global-domain-account-credentials
- wab-get-global-domain-account-credential
- wab-add-credential-to-global-domain-account
- wab-edit-credential-of-global-domain-account

- wab-add-credential-to-application-account
- wab-edit-credential-of-application-account
- wab-get-application-account-credentials

- wab-get-device-account-credentials, wab-get-device-account-credential
- wab-edit-credential-of-device-account

Documented more optional command outputs:

- for wab-get-applications and wab-get-application: 
  - cluster
  - target
  - paths.target
  - paths.program
  - paths.working_dir
  - global_domains
  - application_url
- for wab-get-auth-domains and wab-get-auth-domain:
  - certificate_authority
  - enable_ca
  - check_x509_san_email
  - san_domain_name
  - x509_condition
  - x509_search_filter
  - group_attribute
  - display_name_attribute
  - pubkey_attribute
  - email_attribute
  - language_attribute
  - label
  - entity_id
  - client_id
  - client_secret
  - certificate
  - private_key
  - idp_initiated_url
  - force_authn
- for wab-get-connection-policies and wab-get-connection-policy:
  - authentication_methods
- for wab-get-devices, wab-get-device, wab-get-services-of-device, wab-get-service-of-device:
  - subprotocols
  - multi_tunneling
    - enabled
    - additional_interfaces
      - ip
      - port
- for wab-get-object-to-onboard:
  - device_name
  - alias, host
  - last_connection
  - local_domains
    - id
    - domain_name
    - description
    - enable_password_change
    - admin_account
    - password_change_policy
    - password_change_plugin
    - ca_private_key
    - ca_public_key
    - url
  - tags
    - key
    - value
  - accounts
    - id
    - account_name
    - account_login
    - description
    - credentials
      - id
      - type
      - password
      - private_key
      - passphrase
      - public_key
      - key_type
      - key_len
      - key_id
      - certificate
    - domain_password_change
    - auto_change_password
    - auto_change_ssh_key
    - checkout_policy
    - certificate_validity
    - can_edit_certificate_validity
    - onboard_status
    - first_seen / last_seen
      - id
      - type
      - error
      - status
      - start
      - end
    - url
    - last_login
    - is_admin
    - scanned_groups
  - account_name
  - domain
  - device
  - application
  - account_login
  - credentials
    - id
    - type
    - password
    - private_key
    - passphrase
    - public_key
    - key_type
    - key_len
    - key_id
    - certificate
  - domain_password_change
  - auto_change_password
  - auto_change_ssh_key
  - checkout_policy
  - certificate_validity
  - can_edit_certificate_validity
  - resources
- for wab-get-passwordrights and wab-get-passwordrights-user-name:
  - timeframes
  - device
  - device_alias
  - device_host
  - device_description
  - device_tags
    - id
    - key
    - value
  - application
  - application_description
  - application_tags
    - id
    - key
    - value
  - group_timeframes
- for wab-get-scans and wab-get-scan:
  - subnets
  - protocols
    - protocol
    - port
  - banner_regex
  - scan_for_accounts
  - master_accounts
  - search_filter
  - userauth
    - auth_id
    - auth_name
  - dn_list
  - devices
  - protocol
    - protocol
    - port

- for wab-get-sessionrights and wab-get-sessionrights-user-name:
  - device
  - device_alias
  - device_host
  - device_description
  - service_port
  - subprotocols
  - session_sharing
  - authentication_methods
  - device_tags
    - id
    - key
    - value
  - service_options
    - multi_tunneling
      - enabled
      - additional_interfaces
        - ip
        - port
    - seamless_connection
  - application
  - application_description
  - application_tags
    - id
    - key
    - value




- Updated the Docker image to: *demisto/python3:3.12.8.1983910*.

